Page MenuHomePhabricator

Create Wikipedia Tuvan
Closed, ResolvedPublic

Description

The language committee and WMF Board have approved the creation of Wikipedia Tuvan.

Language code: tyv
Site URL: tyv.wikipedia.org
Project name: Википедия
Project namespace: Википедия
Project talk namespace: Википедия дугайында сүмелел
Project logo: http://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-tyv.png
Timezone: Asia/Krasnoyarsk
Language name: Тыва дыл
Enable uploads: yes

Thank you.


Version: wmf-deployment
Severity: enhancement
URL: //meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Tuvan

Details

Reference
bz49328

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedReedy
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:00 AM
bzimport set Reference to bz49328.
tomasz added a comment.Jun 8 2013, 9:00 AM

[I guess that's more of a site request than a language setup bug? Also changing priority.]

Related URL: https://gerrit.wikimedia.org/r/68188 (Gerrit Change I7e9a1193500b7e09a29dab1d833c712db9453422)

Related URL: https://gerrit.wikimedia.org/r/68188 (Gerrit Change I7e9a1193500b7e09a29dab1d833c712db9453422)

TTO added a comment.Jul 14 2013, 7:57 AM

Any problems with this request?

Waiting for Reedy to do some on-server magic.

polar_bear0901 wrote:

(In reply to comment #4)

Any problems with this request?

Yes. The community is choosing a name for Tuvan Wikipedia (and someone are afraid whether they're granted the right to have a localised name of Wikipedia - see the talk page of the Main Page).

So the information should be temporarily

Project name: Wikipedia
Project namespace: Wikipedia
Project talk namespace: Wikipedia дугайында сүмелел
Project logo: http://commons.wikimedia.org/wiki/File:Wikipedia-logo-v2-en.png

(I don't want to use the English name even temporarily but at least this may not result in many locals feel they're obliged to borrow the Russian name.)

polar_bear0901 wrote:

(In reply to comment #5)

Waiting for Reedy to do some on-server magic.

TEMPORARILY import an English name is important in that people will realize that the name is temporarily chosen and they still have rights to decide their localized name.

@MF-Warburg: Would you please tell us /what the hell/ is going on here? Your request was totally different from comment 6.

Well, apparently polar_bear0901 (whom I do not know) opposes the translation of "Wikipedia" chosen by the test-community.

In his comment he refers to this discussion about the name from Dec 2012, started by an IP (him?): https://incubator.wikimedia.org/wiki/Talk:Wp/tyv/%D0%9A%D0%BE%D0%BB_%D0%B0%D1%80%D1%8B%D0%BD#Localization. There was no conclusion.

See however https://meta.wikimedia.org/w/index.php?diff=5528227&oldid=5527996 and https://meta.wikimedia.org/w/index.php?diff=5529039&oldid=5528970 for the community requesting the project & ns 4 name Википедия, upon which I based comment 0.
Cf. also this recent "editwarring" on the Main Page: https://incubator.wikimedia.org/w/index.php?title=Wp/tyv/%D0%9A%D0%BE%D0%BB_%D0%B0%D1%80%D1%8B%D0%BD&action=history

Unless the community itself decides to change the 'established' sitename, I'd request the wiki configuration to be carried out as described in comment 0.

polar_bear0901 wrote:

(In reply to comment #9)

Well, apparently polar_bear0901 (whom I do not know) opposes the translation
of
"Wikipedia" chosen by the test-community.
In his comment he refers to this discussion about the name from Dec 2012,
started by an IP (him?):
<https://incubator.wikimedia.org/wiki/Talk:Wp/tyv/
%D0%9A%D0%BE%D0%BB_%D0%B0%D1%80%D1%8B%D0%BD#Localization>.
There was no conclusion.
See however https://meta.wikimedia.org/w/index.php?diff=5528227&oldid=5527996
and https://meta.wikimedia.org/w/index.php?diff=5529039&oldid=5528970 for the
community requesting the project & ns 4 name Википедия, upon which I based
comment 0.
Cf. also this recent "editwarring" on the Main Page:
<https://incubator.wikimedia.org/w/index.php?title=Wp/tyv/
%D0%9A%D0%BE%D0%BB_%D0%B0%D1%80%D1%8B%D0%BD&action=history>
Unless the community itself decides to change the 'established' sitename, I'd
request the wiki configuration to be carried out as described in comment 0.

But where did you show us an "established" sitename? I.e. did the community establish any site name? I didn't see any "community requesting" because the discussion didn't draw a conclution and the local community are still trying to establish a native name, and we should help them choosing a native name rather than apply an European name for them.

That's nonsense. There is apparently no "trying to establish a native name", because the discussion from Dec. 2012 fell asleep.
However, the Википедия name is surely 'established' in a certain way because the community(!) requested it to be set as their sitename and used it also on the Incubator pages. The community can use any name it wants, regardless of whether that is "European" or "native" or not.

polar_bear0901 wrote:

(In reply to comment #11)

That's nonsense. There is apparently no "trying to establish a native name",
because the discussion from Dec. 2012 fell asleep.
However, the Википедия name is surely 'established' in a certain way because
the community(!) requested it to be set as their sitename and used it also on
the Incubator pages. The community can use any name it wants, regardless of
whether that is "European" or "native" or not.

That's not. Someone (not the community!) edit the info page/summary page of testwiki when the discussion still didn't go to an end, but this has nothing to do with what you claimed "community requested it".

So temporarily keep the computer internal name "Wikipedia" is good to our community becouse by doing that the local community can establish a Tuvan name of Wikipedia anytime.

(In reply to comment #6)

(In reply to comment #4)
Yes. The community is choosing a name for Tuvan Wikipedia

Can you please provide a direct link to a *recent* discussion about this topic, on the wiki?

So the information should be temporarily

If it makes you happier to call things "temporarily", all things are temporarily up to some point. :) (Configuration settings can always be changed later.)

polar_bear0901 wrote:

(In reply to comment #13)

(In reply to comment #6)

(In reply to comment #4)
Yes. The community is choosing a name for Tuvan Wikipedia

Can you please provide a direct link to a *recent* discussion about this
topic,
on the wiki?

Could you please first tell me why you want a *recent* discussion? I have been looking at the discussion page for almost a year to see if anyone in the local community have provided a localization of the name Wikipedia, but till now they're still working in progress.

So the information should be temporarily

If it makes you happier to call things "temporarily", all things are
temporarily up to some point. :) (Configuration settings can always be
changed
later.)

Well, what you said is *technically* true, but remember once you establish a namespace Википедия few will realize that it's still editable (just as Ali said many Tuvans are not very good at Internet). What's more, once the term Википедия (which violate Tuvan vowel harmony by the last syllable "я") comes into a real Wikipedia, it will be used by some Tuvans, which makes it harder for the locals to choose a localized name.

(In reply to comment #14)

I have been looking at the discussion page for almost a year to see if
anyone in the local community have provided a localization of the name
Wikipedia, but till now they're still working in progress.

"Work in progress" and "for almost a year" sounds like a contradiction at first, so I'd like to take a look myself.

few will realize that it's still editable

People learn when they get things told. Every article on the wiki is temporarily too by that definition, as it might be improved later on.

Changing status to PATCH_TO_REVIEW because there actually is a patch on Gerrit waiting to be reviewed & merged: https://gerrit.wikimedia.org/r/68188

Assigning this bug to Sam because he's the one who's been creating new wikis lately.

polar_bear0901 wrote:

(In reply to comment #16)

Changing status to PATCH_TO_REVIEW because there actually is a patch on Gerrit

Thank you for your progress!

I'd like to mention that concerning the historical discussion, most user who have Tuvan language ability (such as Agilight and Sborsody) have shown a positive altitude about having a native Tuvan name for Tuvan Wikipedia, while those who considered a native name unnecessary or aspiration are mostly Europeans who can not speak Tuvan language (e.g. Kaganer and Tamara Ustinova; what have been labeled a "community requesting" were an request by Kaganer).

But I'm *not* critcise them, because they're *naturally* speaking in an European POV and that's totally fine. What I'm requesting is that the Tuvan name of Wikipedia should be decided by the native community, rather than by an edit commited by a editor who have few Tuvan knowledge. So there's *no* community-established name at all.

That's also the reason why I say the "Project namespace:" should be temporarily "Wikipedia" rather than request it to be "Видибилиином".

polar_bear0901 wrote:

(In reply to comment #15)

(In reply to comment #14)

I have been looking at the discussion page for almost a year to see if
anyone in the local community have provided a localization of the name
Wikipedia, but till now they're still working in progress.

"Work in progress" and "for almost a year" sounds like a contradiction at
first, so I'd like to take a look myself.

few will realize that it's still editable

People learn when they get things told. Every article on the wiki is
temporarily too by that definition, as it might be improved later on.

Well, if the project namespace should be arbitrarily chosen since it's temporarily, why don't we choose it to be Видибилиином?

It should not be chosen arbitrarily. It is chosen according to what was requested on the Meta request, here https://meta.wikimedia.org/w/index.php?diff=5529039&oldid=5528970, by Agilight even.
You do have discussions on the Incubator talk pages of some contributors like Tamara Ustinova and Agilight but there is no discussion of everyone anywhere. If you want the sitename to be different, please stop spamming this bug and convince them to change the request on Meta. If you don't manage to do that, shut up and stop delaying this request.

polar_bear0901 wrote:

(In reply to comment #19)

It should not be chosen arbitrarily. It is chosen according to what was
requested on the Meta request, here
https://meta.wikimedia.org/w/index.php?diff=5529039&oldid=5528970, by
Agilight even.
You do have discussions on the Incubator talk pages of some contributors like
Tamara Ustinova and Agilight but there is no discussion of everyone anywhere.
If you want the sitename to be different, please stop spamming this bug and
convince them to change the request on Meta. If you don't manage to do that,
shut up and stop delaying this request.

"It should not be chosen arbitrarily." - I agree!

"It is chosen according to what was requested on the Meta request, here <...>, by Agilight even." - not exactly. Agilight's comment is a completion of your comment in 06:42, 2 June 2013, in other words, he is personally helping you and showing his acquiescence about the name "Википедия", and that has nothing to do with "Agilight chose the name Википедия". If the local community had chosen the name "Википедия", I would NEVER disturb you here.

I had no discussion with Tamara Ustinova about the name (what I talk with her is about our *personal* opinion about indigenous peoples). I did discussed with Agilight, and as far as I know Agilight have no preference about the name "Википедия". Also there is discussion for everyone here http://incubator.wikimedia.org/wiki/Talk:Wp/tyv/%D0%9A%D0%BE%D0%BB_%D0%B0%D1%80%D1%8B%D0%BD#Localization and everyone in the local community who joined the discussion likes to adopt a native name, although till now no one has completed a good name proposal (Agilight said in his talk page he'd like to ask some people to give an advice).

If you deserve the sitename translation to be "Википедия", please stop advertise it here and convince some Tuvan speakers in the community to express their preference of "Википедия" to all other translation. If you don't manage to do that, shut up and stop promoting "Википедия" to this request.

Change 78332 had a related patch set uploaded by Reedy:
Add tyv to langlist

https://gerrit.wikimedia.org/r/78332

Change 78332 merged by jenkins-bot:
Add tyv to langlist

https://gerrit.wikimedia.org/r/78332

Reedy added a comment.Aug 10 2013, 6:37 AM
  • Bug 52691 has been marked as a duplicate of this bug. ***

Change 68188 merged by jenkins-bot:
(bug 49328) Create Wikipedia in Tyvan language

https://gerrit.wikimedia.org/r/68188

Reedy added a comment.Aug 11 2013, 4:54 AM

RT ticket created for addition of lucene search indexes https://rt.wikimedia.org/Ticket/Display.html?id=5588

(In reply to comment #26)

RT ticket created for addition of lucene search indexes
https://rt.wikimedia.org/Ticket/Display.html?id=5588

But where's VisualEditor

(In reply to comment #27)

(In reply to comment #26)

RT ticket created for addition of lucene search indexes
https://rt.wikimedia.org/Ticket/Display.html?id=5588

But where's VisualEditor

Thank you very much for this reminder! I added it here (I think):
https://gerrit.wikimedia.org/r/#/c/79321/

Change 79321 had a related patch set uploaded by Amire80:
Add tyv.wikipedia to projects with visualeditor

https://gerrit.wikimedia.org/r/79321

Change 79321 merged by jenkins-bot:
Add tyv.wikipedia to projects with visualeditor

https://gerrit.wikimedia.org/r/79321

(In reply to comment #28)

(In reply to comment #27)

(In reply to comment #26)

RT ticket created for addition of lucene search indexes
https://rt.wikimedia.org/Ticket/Display.html?id=5588

But where's VisualEditor

Thank you very much for this reminder! I added it here (I think):
https://gerrit.wikimedia.org/r/#/c/79321/

The VisualEditor can now be enabled in the preferences.